Package org.postgresql.jdbc

# Enum GSSEncMode

java.lang.Object
java.lang.Enum<GSSEncMode>
org.postgresql.jdbc.GSSEncMode

All Implemented Interfaces:
  `Serializable`, `Comparable<GSSEncMode>`, `java.lang.constant.Constable`

public enum GSSEncMode extends Enum<GSSEncMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALLOW`
Start with non-encrypted connection, then try encrypted one.
`DISABLE`
Do not use encrypted connections.
`PREFER`
Start with encrypted connection, fallback to non-encrypted (default).
`REQUIRE`
Ensure connection is encrypted.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`value`

## Method Summary

Modifier and Type
Method
Description
`static GSSEncMode`
`of(Properties info)`
`boolean`
`requireEncryption()`
`static GSSEncMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static GSSEncMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISABLE

public static final GSSEncMode DISABLE
Do not use encrypted connections.

### ALLOW

public static final GSSEncMode ALLOW
Start with non-encrypted connection, then try encrypted one.

### PREFER

public static final GSSEncMode PREFER
Start with encrypted connection, fallback to non-encrypted (default).

### REQUIRE

public static final GSSEncMode REQUIRE
Ensure connection is encrypted.

## Field Details

### value

public final String value

## Method Details

### values

public static GSSEncMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static GSSEncMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### requireEncryption

public boolean requireEncryption()

### of

public static GSSEncMode of(Properties info) throws PSQLException

Throws:
  `PSQLException`